## dotenv-cli 1.3.0

=== debian/changelog ===
dotenv-cli (1.3.0-1) unstable; urgency=medium

  * Added support for export-lines
  * Added support for empty values

 -- Bastian Venthur <venthur@debian.org>  Sat, 11 May 2019 14:34:47 +0200

dotenv-cli (1.2.0-1) unstable; urgency=medium

  * Fixed newlines

 -- Bastian Venthur <venthur@debian.org>  Fri, 10 May 2019 19:47:57 +0200

dotenv-cli (1.1.0-1) unstable; urgency=medium

  * Added bash completion

 -- Bastian Venthur <venthur@debian.org>  Sun, 28 Apr 2019 12:56:49 +0200

dotenv-cli (1.0.2-1) unstable; urgency=medium

  * Conflict with ruby-dotenv (Closes: #926916)

 -- Bastian Venthur <venthur@debian.org>  Sun, 14 Apr 2019 17:42:29 +0200

dotenv-cli (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #923856)

 -- Bastian Venthur <venthur@debian.org>  Wed, 06 Mar 2019 09:55:47 +0100

## dotenv-cli 2.0.1

=== Makefile ===
.PHONY: \
    test \
    lint \
    docs \
    release \
    clean

all: lint test

test:
	pytest

lint:
	flake8

docs:
	$(MAKE) -C docs html

release:
	python3 setup.py sdist bdist_wheel upload

clean:
	find . -type f -name *.pyc -delete
	find . -type d -name __pycache__ -delete

=== debian/changelog ===
dotenv-cli (2.0.1-1) unstable; urgency=medium

  * Source only upload
  * Minor version bump

 -- Bastian Venthur <venthur@debian.org>  Sat, 07 Sep 2019 13:30:25 +0200

dotenv-cli (2.0.0-1) unstable; urgency=medium

  * Interpret escapes only in double quoted values, keep them as is in single
    quoted

 -- Bastian Venthur <venthur@debian.org>  Sat, 03 Aug 2019 14:38:36 +0200

=== debian/control ===
Source: dotenv-cli
Section: python
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, bash-completion
Standards-Version: 4.3.0
Homepage: https://github.com/venthur/dotenv-cli
Vcs-Browser: https://github.com/venthur/dotenv-cli
Vcs-Git: https://github.com/venthur/dotenv-cli.git
Testsuite: autopkgtest-pkg-python

Package: python3-dotenv-cli
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Conflicts: ruby-dotenv
Description: CLI that loads .env configuration
 This package provides the dotenv command. It reads the .env file from the
 current directory puts the contents in the environment and executes the given
 command.
 .
 dotenv supports alternative .env files like .env.development via the -e or
 --dotenv parameters.

## dotenv-cli 2.2.0

=== Makefile ===
VERSION = $(shell python3 setup.py --version)

all: lint test

test:
	pytest
.PHONY: test

lint:
	flake8
.PHONY: lint

docs:
	$(MAKE) -C docs html
.PHONY: docs

release:
	python3 setup.py sdist bdist_wheel
	twine upload --repository-url https://upload.pypi.org/legacy/ dist/*
.PHONY: release

tarball:
	git archive --output=../dotenv-cli_$(VERSION).orig.tar.gz HEAD

clean:
	find . -type f -name *.pyc -delete
	find . -type d -name __pycache__ -delete
.PHONY: clean

=== debian/changelog ===
dotenv-cli (2.2.0-1) unstable; urgency=medium

  * Allow for missing .env file -- in this case the command will be executed
    without setting any environment variables. The previous behaviour was to
    fail with a FileNotFoundError
  * Migrated from TravisCI to github actions. We test now on Linux, Mac and
    Windows x all supported Python versions!
  * Fixed tests under windows, where NamedTemporaryFile cannot be opened
    twice.
  * refactored __main__.py into cli.py and wrapped argparsing into dedicated
    function
  * bumped minimal Python version to 3.6
  * Added 3.8, 3.9 to travis tests
  * Cleaned up Makefile
  * Added twine to dev-dependencies


 -- Bastian Venthur <venthur@debian.org>  Fri, 30 Oct 2020 16:48:44 +0100

dotenv-cli (2.1.0-1) unstable; urgency=medium

  * make sure child process terminates when dotenv terminates
  * measure coverage for tests as well
  * skip coverage report for files w/ complete coverage
  * use twine for uploading to pypi

 -- Bastian Venthur <venthur@debian.org>  Tue, 27 Oct 2020 22:21:31 +0100

## dotenv-cli 3.0.1

=== Makefile ===
# system python interpreter. used only to create virtual environment
PY = python3
VENV = venv
BIN=$(VENV)/bin

ifeq ($(OS), Windows_NT)
	BIN=$(VENV)/Scripts
	PY=python
endif


.PHONY: all
all: lint test

$(VENV): requirements-dev.txt setup.py
	$(PY) -m venv $(VENV)
	$(BIN)/pip install --upgrade -r requirements-dev.txt
	$(BIN)/pip install -e .
	touch $(VENV)

.PHONY: test
test: $(VENV)
	$(BIN)/pytest

.PHONY: lint
lint: $(VENV)
	$(BIN)/flake8

.PHONY: release
release: $(VENV)
	rm -rf dist
	$(BIN)/python setup.py sdist bdist_wheel
	$(BIN)/twine upload dist/*

VERSION = $(shell python3 setup.py --version)
tarball:
	git archive --output=../dotenv-cli_$(VERSION).orig.tar.gz HEAD

.PHONY: clean
clean:
	rm -rf build dist *.egg-info
	rm -rf $(VENV)
	find . -type f -name *.pyc -delete
	find . -type d -name __pycache__ -delete
	# coverage
	rm -rf htmlcov .coverage

=== debian/changelog ===
dotenv-cli (3.0.1-2) unstable; urgency=medium

  * source-only upload

 -- Bastian Venthur <venthur@debian.org>  Wed, 29 Jun 2022 21:33:12 +0200

dotenv-cli (3.0.1-1) unstable; urgency=medium

  * removed python 3.6 support
  * added dependabot
  * updated makefile

 -- Bastian Venthur <venthur@debian.org>  Tue, 31 May 2022 19:58:13 +0200

## dotenv-cli 3.1.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 .PHONY: all
-all: lint test
+all: test lint mypy
 
 $(VENV): requirements-dev.txt setup.py
 	$(PY) -m venv $(VENV)
@@ -21,6 +21,10 @@
 .PHONY: test
 test: $(VENV)
 	$(BIN)/pytest
+
+.PHONY: mypy
+mypy: $(VENV)
+	$(BIN)/mypy
 
 .PHONY: lint
 lint: $(VENV)
@@ -44,3 +48,4 @@
 	find . -type d -name __pycache__ -delete
 	# coverage
 	rm -rf htmlcov .coverage
+	rm -rf .mypy_cache

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_DISABLE=test
export PYBUILD_NAME=dotenv-cli

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

## dotenv-cli 3.2.0

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,12 @@
 
 
 .PHONY: all
-all: test lint mypy
+all: lint mypy test test-release
 
-$(VENV): requirements-dev.txt setup.py
+$(VENV): requirements-dev.txt pyproject.toml
 	$(PY) -m venv $(VENV)
 	$(BIN)/pip install --upgrade -r requirements-dev.txt
-	$(BIN)/pip install -e .
+	$(BIN)/pip install -e .['dev']
 	touch $(VENV)
 
 .PHONY: test
@@ -30,13 +30,20 @@
 lint: $(VENV)
 	$(BIN)/flake8
 
+.PHONY: build
+build: $(VENV)
+	rm -rf dist
+	$(BIN)/python3 -m build
+
+.PHONY: test-release
+test-release: $(VENV) build
+	$(BIN)/twine check dist/*
+
 .PHONY: release
-release: $(VENV)
-	rm -rf dist
-	$(BIN)/python setup.py sdist bdist_wheel
+release: $(VENV) build
 	$(BIN)/twine upload dist/*
 
-VERSION = $(shell python3 setup.py --version)
+VERSION = $(shell python3 -c 'from dotenv_cli import __VERSION__; print(__VERSION__)')
 tarball:
 	git archive --output=../dotenv-cli_$(VERSION).orig.tar.gz HEAD
 
@@ -49,3 +56,4 @@
 	# coverage
 	rm -rf htmlcov .coverage
 	rm -rf .mypy_cache
+	rm -rf .pytest_cache

=== debian/changelog ===
dotenv-cli (3.2.0-1) unstable; urgency=medium

  * on POSIX systems we don't fork a new child process anymore but use `exec*`
    to replace the `dotenv` process
  * Dropped Python 3.7 support
  * replaced setup.py/.cfg with pyproject.toml
  * modernized github actions:
    * don't run linter and mypy on all platforms, only one
    * run test-release
  * updated dev-dependencies
  * re-enabled tests on building debian package

 -- Bastian Venthur <venthur@debian.org>  Sat, 01 Jul 2023 13:24:59 +0200

dotenv-cli (3.1.1-1) unstable; urgency=medium

  * new upstream version
  * added htmlcov and .mypy_cache to extended-diff-ignore
  * bump debhelper from 11 -> 13
  * use debhelper-compat
  * use standards-version 4.6.2

 -- Bastian Venthur <venthur@debian.org>  Thu, 13 Apr 2023 10:20:04 +0200

dotenv-cli (3.1.0-1) unstable; urgency=medium

  * added type hints
  * updated dependencies

 -- Bastian Venthur <venthur@debian.org>  Wed, 07 Sep 2022 20:15:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
-export PYBUILD_DISABLE=test
 export PYBUILD_NAME=dotenv-cli
+export PYBUILD_SYSTEM=pyproject
 
 %:
 	dh $@ --with python3,bash-completion --buildsystem=pybuild

## dotenv-cli 3.2.2

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 .PHONY: lint
 lint: $(VENV)
-	$(BIN)/flake8
+	$(BIN)/ruff check .
 
 .PHONY: build
 build: $(VENV)

## dotenv-cli 3.3.0

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,9 @@
 PY = python3
 VENV = venv
 BIN=$(VENV)/bin
+
+DOCS_SRC = docs
+DOCS_OUT = site
 
 ifeq ($(OS), Windows_NT)
 	BIN=$(VENV)/Scripts
@@ -10,7 +13,7 @@
 
 
 .PHONY: all
-all: lint mypy test test-release
+all: lint mypy test test-docs test-release
 
 $(VENV): requirements-dev.txt pyproject.toml
 	$(PY) -m venv $(VENV)
@@ -18,7 +21,10 @@
 	$(BIN)/pip install -e .['dev']
 	touch $(VENV)
 
+# in this target, our tests are using Popen etc to run other scrips. Therefore
+# we must set the PATH to include the virtual environment's bin directory
 .PHONY: test
+test: PATH := $(BIN):$(PATH)
 test: $(VENV)
 	$(BIN)/pytest
 
@@ -43,6 +49,15 @@
 release: $(VENV) build
 	$(BIN)/twine upload dist/*
 
+.PHONY: test-docs
+test-docs: $(VENV)
+	# we try to keep the README and the docs/index.md in sync
+	@cmp README.md docs/index.md
+
+.PHONY: docs
+docs: $(VENV)
+	$(BIN)/mkdocs build
+
 VERSION = $(shell python3 -c 'from dotenv_cli import __VERSION__; print(__VERSION__)')
 tarball:
 	git archive --output=../dotenv-cli_$(VERSION).orig.tar.gz HEAD
@@ -51,6 +66,7 @@
 clean:
 	rm -rf build dist *.egg-info
 	rm -rf $(VENV)
+	rm -rf $(DOCS_OUT)
 	find . -type f -name *.pyc -delete
 	find . -type d -name __pycache__ -delete
 	# coverage

=== debian/changelog ===
dotenv-cli (3.3.0-1) unstable; urgency=medium

  * added option to completely replace environment with contents of the dotenv
    file
  * added very simple docs for readthedocs

 -- Bastian Venthur <venthur@debian.org>  Sun, 07 Apr 2024 13:53:59 +0200

dotenv-cli (3.2.2-1) unstable; urgency=medium

  * replaced flake8 with ruff
  * when building the debian package, don't run coverage when executing the
    tests (Closes: #1040232)

 -- Bastian Venthur <venthur@debian.org>  Fri, 10 Nov 2023 21:16:08 +0100

dotenv-cli (3.2.1-1) unstable; urgency=medium

  * fixed debian/watch
  * updated dev-dependencies

 -- Bastian Venthur <venthur@debian.org>  Sun, 27 Aug 2023 15:16:48 +0200

## dotenv-cli 3.4.0

=== debian/changelog ===
dotenv-cli (3.4.0-1) unstable; urgency=medium

  * Support multiple .env files via `-e` or `--dotenv` parameters
  * Dropped support for Python 3.8
  * Updated dependencies

 -- Bastian Venthur <venthur@debian.org>  Tue, 06 Aug 2024 18:22:57 +0200

dotenv-cli (3.3.1-1) unstable; urgency=medium

  * renamed package to dotenv-cli
  * changed section to devel

 -- Bastian Venthur <venthur@debian.org>  Sat, 13 Jul 2024 09:14:27 +0200

=== debian/control ===
Source: dotenv-cli
Section: devel
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 dh-python,
 python3-all,
 python3-setuptools,
 python3-pytest,
 python3-pytest-cov,
 bash-completion
Standards-Version: 4.6.2
Homepage: https://github.com/venthur/dotenv-cli
Vcs-Browser: https://github.com/venthur/dotenv-cli
Vcs-Git: https://github.com/venthur/dotenv-cli.git
Testsuite: autopkgtest-pkg-python

Package: dotenv-cli
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Conflicts: ruby-dotenv
Replaces: python3-dotenv-cli (<< 3.3.1-1)
Breaks: python3-dotenv-cli (<< 3.3.1-1)
Description: CLI that loads .env configuration
 This package provides the dotenv command. It reads the .env file from the
 current directory puts the contents in the environment and executes the given
 command.
 .
 dotenv supports alternative .env files like .env.development via the -e or
 --dotenv parameters.

Package: python3-dotenv-cli
Architecture: all
Depends: dotenv-cli, ${misc:Depends}
Conflicts: ruby-dotenv
Section: oldlibs
Description: transitional package
 This package provides the dotenv command. It reads the .env file from the
 current directory puts the contents in the environment and executes the given
 command.
 .
 dotenv supports alternative .env files like .env.development via the -e or
 --dotenv parameters.
 .
 This is a transitional package It can be safely removed.

## dotenv-cli 3.4.1

=== Makefile ===
--- 
+++ 
@@ -73,3 +73,4 @@
 	rm -rf htmlcov .coverage
 	rm -rf .mypy_cache
 	rm -rf .pytest_cache
+	rm -rf .ruff_cache

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
+export PYBUILD_DESTDIR=debian/dotenv-cli
 export PYBUILD_NAME=dotenv-cli
 export PYBUILD_SYSTEM=pyproject
+export PYBUILD_TEST_ARGS=--no-cov
 
 %:
 	dh $@ --with python3,bash-completion --buildsystem=pybuild

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# Direct Git
opts="mode=git" https://github.com/venthur/dotenv-cli.git \
  refs/tags/v([\d\.]+) debian uupdate
